Index: trunk/src/lib/graphics/light.h
===================================================================
--- trunk/src/lib/graphics/light.h	(revision 8255)
+++ trunk/src/lib/graphics/light.h	(revision 9869)
@@ -25,38 +25,39 @@
 class Light : public PNode
 {
-	public:
-		Light(const TiXmlElement* root = NULL);
-		virtual ~Light();
-		
-		virtual void loadParams(const TiXmlElement* root);
-		
-		void setDiffuseColor(GLfloat r, GLfloat g, GLfloat b);
-		void setSpecularColor(GLfloat r, GLfloat g, GLfloat b);
-		void setAttenuation(float constantAttenuation, float linearAttenuation, float quadraticAttenuation);
-		void setSpotDirection(const Vector& direction);
-		void setSpotDirection(float x, float y, float z) { setSpotDirection(Vector(x,y,z)); };
-		void setSpotCutoff(GLfloat cutoff);
-		
-		/** @returns the lightNumber*/
-		int getLightNumber() const {return this->lightNumber;}
-		
-		virtual void draw() const;
-		
-		void debug() const;
-	
-	// attributes
-	private:
-		int              lightNumber;               //!< The number of this Light.
-		GLfloat          diffuseColor[4];           //!< The Diffuse Color this Light emmits.
-		GLfloat          specularColor[4];          //!< The specular Color of this Light.
-		float            constantAttenuation;       //!< The Factor of the the Constant Attenuation.
-		float            linearAttenuation;         //!< The Factor of the the Linear Attenuation.
-		float            quadraticAttenuation;      //!< The Factor of the the Quadratic Attenuation.
-		GLfloat          spotDirection[4];          //!< The direction of the Spot Light.
-		GLfloat          spotCutoff;                //!< The cutoff Angle of the Light Source
+  ObjectListDeclaration(Light);
+public:
+  Light(const TiXmlElement* root = NULL);
+  virtual ~Light();
+
+  virtual void loadParams(const TiXmlElement* root);
+
+  void setDiffuseColor(GLfloat r, GLfloat g, GLfloat b);
+  void setSpecularColor(GLfloat r, GLfloat g, GLfloat b);
+  void setAttenuation(float constantAttenuation, float linearAttenuation, float quadraticAttenuation);
+  void setSpotDirection(const Vector& direction);
+  void setSpotDirection(float x, float y, float z) { setSpotDirection(Vector(x,y,z)); };
+  void setSpotCutoff(GLfloat cutoff);
+
+  /** @returns the lightNumber*/
+  int getLightNumber() const {return this->lightNumber;}
+
+  virtual void draw() const;
+
+  void debug() const;
+
+  // attributes
+private:
+  int              lightNumber;               //!< The number of this Light.
+  GLfloat          diffuseColor[4];           //!< The Diffuse Color this Light emmits.
+  GLfloat          specularColor[4];          //!< The specular Color of this Light.
+  float            constantAttenuation;       //!< The Factor of the the Constant Attenuation.
+  float            linearAttenuation;         //!< The Factor of the the Linear Attenuation.
+  float            quadraticAttenuation;      //!< The Factor of the the Quadratic Attenuation.
+  GLfloat          spotDirection[4];          //!< The direction of the Spot Light.
+  GLfloat          spotCutoff;                //!< The cutoff Angle of the Light Source
 };
-	
-	
-	
+
+
+
 //! A class that handles Lights
 /**
@@ -87,38 +88,39 @@
 */
 class LightManager : public BaseObject
-	{
-	friend class Light;
+{
+  ObjectListDeclaration(LightManager);
 
-	public:
-		virtual ~LightManager();
-		/** @returns a Pointer to the only object of this Class */
-		inline static LightManager* getInstance() { if (!singletonRef) singletonRef = new LightManager();  return singletonRef; };
+  friend class Light;
+public:
+  virtual ~LightManager();
+  /** @returns a Pointer to the only object of this Class */
+  inline static LightManager* getInstance() { if (!singletonRef) singletonRef = new LightManager();  return singletonRef; };
 
-		virtual void loadParams(const TiXmlElement* root);
-		void loadLights(const TiXmlElement* root);
+  virtual void loadParams(const TiXmlElement* root);
+  void loadLights(const TiXmlElement* root);
 
-		void setAmbientColor(GLfloat r, GLfloat g, GLfloat b);
-		// HACK: Assuming r = g = b values
-		inline GLfloat getAmbientColor() {  return this->ambientColor[0]; }
+  void setAmbientColor(GLfloat r, GLfloat g, GLfloat b);
+  // HACK: Assuming r = g = b values
+inline GLfloat getAmbientColor() {  return this->ambientColor[0]; }
 
-		Light* getLight(int lightNumber) const;
-		inline Light* getLight() const { return this->currentLight; };
+  Light* getLight(int lightNumber) const;
+  inline Light* getLight() const { return this->currentLight; };
 
-		void draw() const;
+  void draw() const;
 
-		void debug() const;
+  void debug() const;
 
-	private:
-		LightManager();
+private:
+  LightManager();
 
-		int  registerLight(Light* light);
-		void unregisterLight(Light* light);
+  int  registerLight(Light* light);
+  void unregisterLight(Light* light);
 
-	private:
-		static LightManager*    singletonRef;       //!< This is the LightHandlers Reference.
-		GLfloat                 ambientColor[4];    //!< The ambient Color of the scene.
+private:
+  static LightManager*    singletonRef;       //!< This is the LightHandlers Reference.
+  GLfloat                 ambientColor[4];    //!< The ambient Color of the scene.
 
-		Light**                 lights;             //!< An array of Lenght NUMBEROFLIGHTS, that holds pointers to all LightValues.
-		Light*                  currentLight;       //!< The current Light, we are working with.
+  Light**                 lights;             //!< An array of Lenght NUMBEROFLIGHTS, that holds pointers to all LightValues.
+  Light*                  currentLight;       //!< The current Light, we are working with.
 
 };
